program solution;

{$APPTYPE CONSOLE}

const 
  MAXN = 10000;

var
  n, i: integer;
  a: array [1..MAXN] of integer;
  
begin
//	reset(input,'input.txt');
//	rewrite(output,'output.txt');
	
	read(n);
	
	assert( (n>1) and (n<=MAXN) );
	
	for i:= 1 to (n+1) div 2 do a[2*i-1] := i;
	for i:= n downto ((n+1) div 2) + 1 do a[2*(n-i+1)] := i;
	
	for i:= 1 to n do write(a[i],' ');
	
end.